controller_manager:
  ros__parameters:
    update_rate: 1000  # Hz

    rasmt_arm_controller:
      type: joint_trajectory_controller/JointTrajectoryController

    rasmt_hand_controller:
      type: joint_trajectory_controller/JointTrajectoryController

    joint_state_broadcaster:
      type: joint_state_broadcaster/JointStateBroadcaster


rasmt_arm_controller:
  ros__parameters:
    joints:
      - rasmt_Rot_Z_1
      - rasmt_Rot_Y_1
      - rasmt_Rot_Z_2
      - rasmt_Rot_Y_2
      - rasmt_Rot_Z_3
      - rasmt_Rot_Y_4
    command_interfaces:
      - position
      - velocity
    state_interfaces:
      - position
      - velocity

rasmt_hand_controller:
  ros__parameters:
    joints:
      - rasmt_Slide_1
      - rasmt_Slide_2
    command_interfaces:
      - position
      - velocity
    state_interfaces:
      - position
      - velocity